Package tigase.db

## Interface MsgRepositoryIfc<T extends DataSource>

- All Superinterfaces:
    `DataSourceAware<T>`, `OfflineMsgRepositoryIfc`, `Repository`
  All Known Implementing Classes:
    `JDBCMsgRepository`, `MsgRepository`, `MsgRepository.MsgRepositoryMDBean`, `XMLMsgRepository`

      public interface MsgRepositoryIfc<T extends DataSource>
      extends OfflineMsgRepositoryIfc, DataSourceAware<T>

  Created by andrzej on 13.03.2016.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `deleteMessagesToJID​(java.util.List<java.lang.String> db_ids, XMPPResourceConnection session)` |
    `java.util.Map<java.lang.Enum,​java.lang.Long>` | `getMessagesCount​(JID to)` |
    `java.util.List<Element>` | `getMessagesList​(JID to)` |
    `java.util.Queue<Element>` | `loadMessagesToJID​(java.util.List<java.lang.String> db_ids, XMPPResourceConnection session, boolean delete, MsgRepository.OfflineMessagesProcessor proc)` |
    `void` | `setCondition​(java.util.concurrent.locks.ReentrantLock lock, java.util.concurrent.locks.Condition condition)` | Deprecated.

    - ### Methods inherited from interface tigase.db.DataSourceAware

      `setDataSource`

    - ### Methods inherited from interface tigase.db.OfflineMsgRepositoryIfc

      `getMessageExpired, loadMessagesToJID, storeMessage`

    - ### Methods inherited from interface tigase.db.Repository

      `initRepository`

- - ### Method Detail

    - #### getMessagesCount

          java.util.Map<java.lang.Enum,​java.lang.Long> getMessagesCount​(JID to)
                                                                       throws UserNotFoundException

      Throws:
        `UserNotFoundException`

    - #### getMessagesList

          java.util.List<Element> getMessagesList​(JID to)
                                           throws UserNotFoundException

      Throws:
        `UserNotFoundException`

    - #### setCondition

          @Deprecated
          void setCondition​(java.util.concurrent.locks.ReentrantLock lock,
                            java.util.concurrent.locks.Condition condition)

      Deprecated.

    - #### loadMessagesToJID

          java.util.Queue<Element> loadMessagesToJID​(java.util.List<java.lang.String> db_ids,
                                                     XMPPResourceConnection session,
                                                     boolean delete,
                                                     MsgRepository.OfflineMessagesProcessor proc)
                                              throws UserNotFoundException

      Throws:
        `UserNotFoundException`

    - #### deleteMessagesToJID

          int deleteMessagesToJID​(java.util.List<java.lang.String> db_ids,
                                  XMPPResourceConnection session)
                           throws UserNotFoundException

      Throws:
        `UserNotFoundException`